--- /dev/null
+#!/bin/sh
+
+## live-debconfig(7) - System Configuration Scripts
+## Copyright (C) 2006-2012 Daniel Baumann <daniel@debian.org>
+##
+## This program comes with ABSOLUTELY NO WARRANTY; for details see COPYING.
+## This is free software, and you are welcome to redistribute it
+## under certain conditions; see COPYING for details.
+
+
+set -e
+
+DEBCONF_SYSTEMRC="/var/lib/live/debconfig/systemrc"
+export DEBCONF_SYSTEMRC
+
+. /usr/share/debconf/confmodule
+
+db_get live-debconfig/passwd/shadow
+_SHADOW="${RET}" # boolean
+
+db_set live-debconfig/passwd/shadow "${_SHADOW}"
+db_fset live-debconfig/passwd/shadow seen false
+
+db_settitle live-debconfig/title
+db_input high live-debconfig/passwd/shadow || true
+db_go
+
+db_get live-debconfig/passwd/shadow
+_SHADOW="${RET}" # boolean
+
+db_stop
+
+# Setup passwd
+
+case "${_SHADOW}" in
+ true)
+ shadowconfig on
+ ;;
+
+ false)
+ shadowconfig off
+ ;;
+esac
--- /dev/null
+Template: live-debconfig/title
+Type: title
+Description: live-debconfig: System Configuration
+
+Template: live-debconfig/passwd/shadow
+Type: boolean
+Default: true
+Description: live-debconfig: Shadow passwords?
+ Should the current system use shadow passwords?